Page MenuHomePhabricator

Enable MCR migration stage "write both, read old" on testwiki
Closed, ResolvedPublic

Description

To try out writing to the new, MCR enabled database schema, we want this setting on testwiki:

$wgMultiContentRevisionSchemaMigrationStage = SCHEMA_COMPAT_WRITE_BOTH | SCHEMA_COMPAT_READ_OLD;

We could also do this on a testwiki dedicated to commons, see T197616: Create a production test wiki in group0 to parallel Wikimedia Commons.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

daniel created this task.Jun 20 2018, 5:35 PM
daniel triaged this task as Normal priority.
daniel updated the task description. (Show Details)Jun 20 2018, 5:37 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Jun 26 2018, 7:39 AM
daniel renamed this task from Test $wgMultiContentRevisionSchemaMigrationStage = MIGRATION_WRITE_BOTH on testwiki to Enable MCR migration stage "write both, read old" on testwiki.Jun 27 2018, 11:22 AM
daniel updated the task description. (Show Details)
Vvjjkkii renamed this task from Enable MCR migration stage "write both, read old" on testwiki to ekaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: Aklapper, gerritbot.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot renamed this task from ekaaaaaaaa to Enable MCR migration stage "write both, read old" on testwiki.
CommunityTechBot added subscribers: Aklapper, gerritbot.
Fjalapeno assigned this task to Anomie.Jul 23 2018, 5:04 PM

Change 447638 had a related patch set uploaded (by Anomie; owner: Anomie):
[operations/mediawiki-config@master] Set MCR write-both-read-old on testwiki

https://gerrit.wikimedia.org/r/447638

Change 447638 merged by jenkins-bot:
[operations/mediawiki-config@master] Set MCR write-both-read-old on testwiki

https://gerrit.wikimedia.org/r/447638

Mentioned in SAL (#wikimedia-operations) [2018-07-25T15:21:48Z] <anomie@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Set wgMultiContentRevisionSchemaMigrationStage to write-both read-old on testwiki (T197817) (duration: 00m 55s)